跳转到主要内容
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
action
/
{actionId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
const http = require('https');

const options = {
  method: 'GET',
  hostname: 'app.teable.ai',
  port: null,
  path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D',
  headers: {
    Authorization: 'Bearer REPLACE_BEARER_TOKEN'
  }
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on('data', function (chunk) {
    chunks.push(chunk);
  });

  res.on('end', function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

conn.request("GET", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "config": {
    "tableId": "<string>",
    "fields": {},
    "baseId": "<string>",
    "loopKey": {
      "resolvable": true,
      "type": "fact",
      "fact": "<string>",
      "path": "<string>",
      "keyStack": [
        "<string>"
      ],
      "params": {
        "pipes": []
      }
    },
    "_fieldsOrder": [
      "<string>"
    ]
  },
  "id": "<string>",
  "category": "action",
  "type": "createRecord",
  "name": "<string>",
  "description": "<string>",
  "testResult": {
    "createdTime": "<string>",
    "spent": 123,
    "inputRaw": null,
    "outputRaw": null,
    "inputVariables": {},
    "outputVariables": {},
    "errorMsg": "<string>"
  },
  "outputVariables": {},
  "inputVariables": {},
  "createdTime": "<string>",
  "lastModifiedTime": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
workflowId
string
必填
actionId
string
必填

响应

200 - application/json

Successful response

config
object
必填
id
string
必填

node id

category
enum<string>
必填
可用选项:
action
type
enum<string>
必填

This Action will activate when a record is created in a table.

可用选项:
createRecord
name
string

name of the node

description
string

description of the node

testResult
object

action test result

outputVariables
object

output variables

inputVariables
object

input variables

createdTime
string | null

created time

lastModifiedTime
string | null

last modified time

最后修改于 2026年3月5日